=== debian/changelog ===
xilinx-vcu-ctrl (2020.2-0ubuntu4) hirsute; urgency=medium

  * Correct the debian/watch file.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 13 Apr 2021 12:52:49 +0200

xilinx-vcu-ctrl (2020.2-0ubuntu3) hirsute; urgency=medium

  * Add watch file and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Apr 2021 11:09:48 +0200

xilinx-vcu-ctrl (2020.2-0ubuntu2) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 24 Mar 2021 15:15:08 +0100

xilinx-vcu-ctrl (2020.2-0ubuntu1) focal; urgency=medium

  * Base on xilinx-v2020.2 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Dec 2020 13:54:04 +0100

xilinx-vcu-ctrl (2020.1-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:26:19 +0200
