=== debian/control ===
Source: xilinx-vcu-ctrl
Section: multiverse/devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0

Package: xilinx-vcu-ctrl
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU Ctrl Software - command-line utilities
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU Control Software provides tools and libraries to leverage
 this hardware.
 .
 This package contains the command-line utilities.

Package: libxilinx-vcu0
Section: multiverse/libs
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU Ctrl Software - runtime libraries
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU Control Software provides tools and libraries to leverage
 this hardware.
 .
 This package contains the runtime libraries.

Package: libxilinx-vcu-dev
Section: multiverse/libdevel
Architecture: arm64 armel armhf
Depends: ${misc:Depends}
         libxilinx-vcu0 (= ${binary:Version})
Description: Xilinx VCU Ctrl Software - development files
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU Control Software provides tools and libraries to leverage
 this hardware.
 .
 This package contains the development files.
