=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# verbose build and disable git hash in library versions
	dh_auto_build -- V=1 CTRLSW_VER=

# workaround missing make install target
override_dh_auto_install:
	# utils
	install -d debian/tmp/usr/bin
	install -Dm 0755 bin/ctrlsw_encoder debian/tmp/usr/bin/ctrlsw_encoder
	install -Dm 0755 bin/ctrlsw_decoder debian/tmp/usr/bin/ctrlsw_decoder
	#install -Dm 0755 bin/AL_CfgParser.exe debian/tmp/usr/bin/ctrlsw_decoder

	# libraries
	install -d debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)
	for f in bin/liballegro_*.so*; do \
	  cp -a $${f} debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH); \
	done
	#install -d debian/tmp/usr/include/vcu-ctrl-sw
	$(MAKE) install_headers INSTALL_HDR_PATH=debian/tmp/usr/include/vcu-ctrl-sw
