## xilinx-vcu-ctrl 2022.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 CFLAGS+=-O3
 CFLAGS+=-g0
+
 SCM_REV:=-D'SCM_REV="$(shell git rev-parse HEAD 2> /dev/null || echo 0)"'
 SCM_BRANCH=-D'SCM_BRANCH="$(shell git rev-parse --abbrev-ref HEAD 2> /dev/null || echo unknown)"'
 
@@ -31,6 +32,7 @@
 
 TARGET:=$(shell $(CC) -dumpmachine)
 
+
 all: true_all
 
 # Basic build rules and external variables
@@ -41,12 +43,12 @@
 
 # Libraries
 -include lib_fpga/project.mk
-include lib_app/project.mk
 -include lib_cfg_parsing/project.mk
 -include lib_common/project.mk
 -include lib_rtos/project.mk
 -include lib_ip_ctrl/project.mk
 -include lib_perfs/project.mk
+-include lib_app/project.mk #lib_common and lib_perfs dependency
 
 
 BUILD_LIB_FBC=0
@@ -83,6 +85,7 @@
   -include lib_decode/project.mk
   include exe_decoder/project.mk
 endif
+
 
 
 ifneq ($(ENABLE_ENCODER),0)
