=== debian/changelog ===
xilinx-vcu-ctrl (2022.1-0ubuntu0xlnx1) jammy; urgency=medium

  [ Hon Ming Hui ]
  * Update to Xilinx xilinx_v2022.1 tag

  [ Loïc Minier ]
  * Fix license header in copyright file.
  * Fix critical missing comma in dependencies.

 -- Hon Ming Hui <honming.hui@canonical.com>  Tue, 31 May 2022 17:43:09 +0800
