=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: libxilinx-vcu-dev
 Section: multiverse/libdevel
 Architecture: arm64 armel armhf
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
          libxilinx-vcu0 (= ${binary:Version})
 Description: Xilinx VCU Ctrl Software - development files
  Some Xilinx models include a hardware Video Codec Unit (VCU). The
