=== debian/watch ===
version=4
opts="filenamemangle=s%.*xilinx_v?(\d.*)\.tar\.gz%xilinx-vcu-ctrl-$1.tar.gz%,oversionmangle=s%_%-%" \
    https://github.com/Xilinx/vcu-ctrl-sw/tags \
    .*xilinx_v?(\d.*)\.tar\.gz debian uupdate
